<?php
include("conexion.php");

//echo concatenar_cadena_familias($conexion, 12);

function concatenar_cadena_familias($conexion, $xprdfam_codi){
	$cadena_familias = "";
		
	$r1 = mysqli_query($conexion,"SELECT * FROM productos_familia p WHERE prdfam_codi=$xprdfam_codi ORDER BY prdfam_nombre;");
	while($row1 = mysqli_fetch_array($r1)){
		$xprdfam_codi_1 = $row1['prdfam_codi'];	
		$cadena_familias = $cadena_familias. " OR "." prdfam_codi_fk=".$xprdfam_codi_1;
			
		$r2 = mysqli_query($conexion,"SELECT * FROM productos_familia p WHERE prdfam_codi_fk_padre=$xprdfam_codi_1 ORDER BY prdfam_nombre;");
		while($row2 = mysqli_fetch_array($r2)){
			$xprdfam_codi_2 = $row2['prdfam_codi'];
			$cadena_familias = $cadena_familias. " OR "." prdfam_codi_fk=".$xprdfam_codi_2;		
	
			$r3 = mysqli_query($conexion,"SELECT * FROM productos_familia p WHERE prdfam_codi_fk_padre=$xprdfam_codi_2 ORDER BY prdfam_nombre;");
			while($row3 = mysqli_fetch_array($r3)){
				$xprdfam_codi_3 = $row3['prdfam_codi'];			
				$cadena_familias = $cadena_familias. " OR "." prdfam_codi_fk=".$xprdfam_codi_3;			
	
				$r4 = mysqli_query($conexion,"SELECT * FROM productos_familia p WHERE prdfam_codi_fk_padre=$xprdfam_codi_3 ORDER BY prdfam_nombre;");
				while($row4 = mysqli_fetch_array($r4)){
					$xprdfam_codi_4 = $row4['prdfam_codi'];
					$cadena_familias = $cadena_familias. " OR "." prdfam_codi_fk=".$xprdfam_codi_4;				
	
					$r5 = mysqli_query($conexion,"SELECT * FROM productos_familia p WHERE prdfam_codi_fk_padre=$xprdfam_codi_4 ORDER BY prdfam_nombre;");
					while($row5 = mysqli_fetch_array($r5)){
						$xprdfam_codi_5 = $row5['prdfam_codi'];
						$cadena_familias = $cadena_familias. " OR "." prdfam_codi_fk=".$xprdfam_codi_5;					
						
						$r6 = mysqli_query($conexion,"SELECT * FROM productos_familia p WHERE prdfam_codi_fk_padre=$xprdfam_codi_5 ORDER BY prdfam_nombre;");
						while($row6 = mysqli_fetch_array($r6)){
							$xprdfam_codi_6 = $row6['prdfam_codi'];
							$cadena_familias = $cadena_familias. " OR "." prdfam_codi_fk=".$xprdfam_codi_6;						
						
							$r7 = mysqli_query($conexion,"SELECT * FROM productos_familia p WHERE prdfam_codi_fk_padre=$xprdfam_codi_6 ORDER BY prdfam_nombre;");
							while($row7 = mysqli_fetch_array($r7)){
								$xprdfam_codi_7 = $row7['prdfam_codi'];
								$cadena_familias = $cadena_familias. " OR "." prdfam_codi_fk=".$xprdfam_codi_7;							
	
								$r8 = mysqli_query($conexion,"SELECT * FROM productos_familia p WHERE prdfam_codi_fk_padre=$xprdfam_codi_7 ORDER BY prdfam_nombre;");
								while($row8 = mysqli_fetch_array($r8)){
									$xprdfam_codi_8 = $row8['prdfam_codi'];
									$cadena_familias = $cadena_familias. " OR "." prdfam_codi_fk=".$xprdfam_codi_8;
	
									$r9 = mysqli_query($conexion,"SELECT * FROM productos_familia p WHERE prdfam_codi_fk_padre=$xprdfam_codi_8 ORDER BY prdfam_nombre;");
									while($row9 = mysqli_fetch_array($r9)){
										$xprdfam_codi_9 = $row9['prdfam_codi'];
										$cadena_familias = $cadena_familias. " OR "." prdfam_codi_fk=".$xprdfam_codi_9;
											
										$r10 = mysqli_query($conexion,"SELECT * FROM productos_familia p WHERE prdfam_codi_fk_padre=$xprdfam_codi_9 ORDER BY prdfam_nombre;");
										while($row10 = mysqli_fetch_array($r10)){
											$xprdfam_codi_10 = $row10['prdfam_codi'];
											$cadena_familias = $cadena_familias. " OR "." prdfam_codi_fk=".$xprdfam_codi_10;										
																				
										}																																		
									}																										
								}																			
							}													
						}																
					}						
				}			
			}	
		}
	}
	
	return $cadena_familias;
}	

?>